require 'weaver/dsl/abstract_statement'

module Weaver
  module Dsl
    # The NodeStatement implements the processing of the language element 'node'.
    # Nodes support statements: include, component, os, firewall, cloud, realized_by
    #
    # Author:: Ed Snible
    # Author:: Florian Rosenberg
    # @see Weaver::Core::Node
    class BaseStatement < AbstractStatement

      # * +id+ Symbol representing the entity, or a Core::Base which is the entity
      # * +parent_statement+ The enclosing AbstractStatement
      def initialize(id, parent_statement)
        @@logger.debug "base[id: #{id} on #{parent_statement.model.type} :#{parent_statement.model.id}]"
        super(id, :base, parent_statement)
      end
      
      # Summarize
      def to_s
        "base[id: #{@id}, name: #{@name}, description: #{@description}]"
      end
      
    end

  end

end
