require 'weaver/core/load_driver'

module Weaver
  module Dsl
    
    # Represents a LoadDriverStatement.  LoadDriverStatements may contain
    # assert statements that specify conditions that have to be met after
    # the load driver has finished execution.
    # 
    # Author:: Thomas Gschwind <thg@zurich.ibm.com>
    # Copyright:: IBM
    # @see LoadDriver
    class LoadDriverStatement < AbstractStatement
      include PolicyContainer
      
      # * +id+ Symbol representing the entity, or a Core::LoadDriver which is the entity
      # * +parent_statement+ The enclosing AbstractStatement
      def initialize(id, parent_statement)
        @@logger.debug "load_driver[id: #{id}]"
        super(id, LoadDriver, parent_statement)
      end
      
      # The assertions that should be met
      def assert(description, &block)
        @model.asserts.push([description, block])
      end
      
    end
  end
end
