require 'weaver/core/logging'
require 'weaver/dsl/requires/type_handler'
require 'weaver/core/requirements'

module Weaver
  module Dsl
    module Requires
      # Parses Weaver <code>requires :component</code> expressions, such as
      #  requires :component => [ :jke_db, :jke_users, :jke_organizations, :jke_transactions, :jke_admins ]
      class ComponentTypeHandler < TypeHandler

        def initialize()
          super [ :component ]
        end

        def handle(parent, args)
          @@logger.debug "#{self.class}[#{args}]"
          return SubsetRequirement.new(parent.model, args) 
        end

      end
    end
  end
end