module Weaver
  module Utils
    # This class has util methods related to the Environment
    class EnvironmentUtil
      # Set environment variables
      # * *Args*    :
      #   - +environment_variables+ -> a Hash of key/value pairs to set as environment variables
      # * *Returns* :
      # A hash of environment key/values for each variable before it's set. This has can be used to reset the env vars later
      def self.set_environment_variables(environment_variables)
        hold_variables = {}
        if !environment_variables.nil?
          environment_variables.each do | key, value |
            hold_variables[key] = ENV[key]
            ENV[key] = value
          end
        end
        return hold_variables
      end

    end
  end

end
