require 'date'

module Weaver
  module ContinuousValidation
                           
    class RuleLogger
      def initialize(filename, history_size)
        @filename = filename
        @history_size = history_size  
      end
      
      def get_last_validation_result
        if !File.exist?(@filename)
          return ""
        end
        f = File.new(@filename, 'r')
        lines = f.readlines
        retval = lines.size > 0 ? lines[lines.size - 1].sub(LOG_TIMESTAMP_REGEX, "").chomp : ""
        f.close()
        return retval
      end
      
      def log_validation_result(log_message)
        if File.exist?(@filename)
          f = File.new(@filename, 'r+')
          lines = f.readlines
          if lines.size == @history_size
            # Need to discard oldest log entry
            f.close()
            f = File.new(@filename, 'w')
            lines.shift
            f.write(lines.join)
          end
        else
          f = File.new(@filename, 'w')
        end
        f.write("Contval Result [#{DateTime.now}]:: #{log_message}\n")
        f.close()
      end
    end
  end
end